uroot
@uroot
Стажируюсь

Как устранить ошибку Error: «env(safe-area-inset-right)» is not a number for `max' в Fancybox3?

Подключил Fancybox3 в проект. JS подхватился и работает, CSS как бы тоже, но webpack выдаёт ошибку:

[12:43:16] gulp-notify: [Gulp] Error: "env(safe-area-inset-right)" is not a number for `max'Line: 485
File: node_modules/@fancyapps/fancybox/dist/jquery.fancybox.css
Line: 485
Error: "env(safe-area-inset-right)" is not a number for `max'


На github.com есть тикет, но что-то я не могу натянуть решение на свою проблему, может дело не в этом: https://github.com/fancyapps/fancybox/issues/2153

В сборке используется scss, если что

Если подключить css по CDN-у, то проблема исчезнет, но webpack будет просто сыпать ворнингами
  • Вопрос задан
  • 68 просмотров
Решения вопроса 1
Пригласить эксперта
Ответы на вопрос 1
@ziqq
Добавьте 2 миксина

@function max($numbers...) {
  @return m#{a}x(#{$numbers});
}

@function min($numbers...) {
  @return m#{i}n(#{$numbers});
}
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы